al_wait_for_event(3)

NAME

al_wait_for_event - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_wait_for_event(ALLEGRO_EVENT_QUEUE *queue, ALLEGRO_EVENT *ret_event)

DESCRIPTION

Wait until the event queue specified is non-empty. If ret_event is not NULL, the first event in the queue will be copied into ret_event and removed from the queue. If ret_event is NULL the first event is left at the head of the queue.

SEE ALSO

ALLEGRO_EVENT(3), al_wait_for_event_timed(3), al_wait_for_event_until(3), al_get_next_event(3)